> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dialog/inputdialog.md).

# inputDialog

## Description

Displays a dialog box (modal) that requires the user to enter some input.

## Input / Parameter

| Name  | Description                                                         | Input Type  | Default | Options | Required |
| ----- | ------------------------------------------------------------------- | ----------- | ------- | ------- | -------- |
| title | The title of the dialog box.                                        | String/Text | -       | -       | Yes      |
| type  | The type of input to enter in the dialog box.                       | String/Text | -       | -       | Yes      |
| value | Default value to be displayed in the input field of the dialog box. | Integer     | -       | -       | No       |

## Output

N/A

Note: A modal will pop up which displays the parameters specified by the user.

## Callback

### okCallback

The function to be executed when user clicks on the 'OK' button.

### cancelCallback

The function to be executed when user clicks on the 'Cancel' button.

## Video

Coming Soon.

## Example

The user wants to display an input dialog that allows the end user to key in a quantity.

### Steps

| No. | Description                      |                                                                                                                                                |
| --- | -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| 1.  | ![](/files/p5oIofLdE0PDQoAdLxDa) | Drag a button to a page in the mobile designer. Select the event `click` for the button and drag the `inputDialog` function to the event flow. |
| 2.  | ![](/files/ayU5cpAUnSA8g6lPrbGs) | Fill in the parameters of the function.                                                                                                        |

### Result

| No.                              | Description                                                                                     |
| -------------------------------- | ----------------------------------------------------------------------------------------------- |
| ![](/files/qlyhrafmbcqmXlVlS8wX) | When the button is pressed, the inputDialog modal appears in which users can enter their input. |

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dialog/inputdialog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
